$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.112.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.112.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '30B03DEF941F9AEB71EDD0E92FA72FF0108A7CD2A0C174859E35EC7A201D5ADA'
  checksumType = 'sha256'
  checksum64 = '30B03DEF941F9AEB71EDD0E92FA72FF0108A7CD2A0C174859E35EC7A201D5ADA'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.0.112-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
